MilterReader
3
milter managerライブラリ

# MilterReader

## Functions

GQuark | milter_reader_error_quark ()
MilterReader * | milter_reader_io_channel_new ()
void | milter_reader_start ()
gboolean | milter_reader_is_watching ()
void | milter_reader_shutdown ()
guint | milter_reader_get_tag ()
void | milter_reader_set_tag ()

## プロパティ

gpointer | io-channel | Read / Write / Construct Only
guint | tag | Read

## シグナル

void | flow | Run Last

## Types and Values

#define | MILTER_READER_ERROR
enum | MilterReaderError

## オブジェクト階層

        GEnum
        ╰── MilterReaderError
        GObject
        ╰── MilterReader

## 説明

## Functions

### milter_reader_error_quark ()

    GQuark
    milter_reader_error_quark (void);

### milter_reader_io_channel_new ()

    MilterReader *
    milter_reader_io_channel_new (GIOChannel *channel);

### milter_reader_start ()

    void
    milter_reader_start (MilterReader *reader,
                         MilterEventLoop *loop);

### milter_reader_is_watching ()

    gboolean
    milter_reader_is_watching (MilterReader *reader);

### milter_reader_shutdown ()

    void
    milter_reader_shutdown (MilterReader *reader);

### milter_reader_get_tag ()

    guint
    milter_reader_get_tag (MilterReader *reader);

### milter_reader_set_tag ()

    void
    milter_reader_set_tag (MilterReader *reader,
                           guint tag);

## Types and Values

### MILTER_READER_ERROR

    #define MILTER_READER_ERROR           (milter_reader_error_quark())

### enum MilterReaderError

#### Members

MILTER_READER_ERROR_NO_CHANNEL |  |
MILTER_READER_ERROR_IO_ERROR |  |

## プロパティ詳細

### The `“io-channel”` property

      “io-channel”               gpointer

The GIOChannel object.

Flags: Read / Write / Construct Only

### The `“tag”` property

      “tag”                      guint

The tag of the writer.

Flags: Read

デフォルト値: 0

## シグナル詳細

### The `“flow”` signal

    void
    user_function (MilterReader *milterreader,
                   gpointer      arg1,
                   guint         arg2,
                   gpointer      user_data)

Flags: Run Last